#
# PDF-Printer für MegaFakt 'MegaFaktPDF'
# (benötigt Windows 10)
#

$prname = 'MegaFaktPDF'
$drname = 'Microsoft Print to PDF'
$pdfpath = @(pwd).Path + '\.spool\out.pdf'

$printer = Get-Printer -Name $prname -ErrorAction SilentlyContinue
if ($printer -eq $null)
{
  $driver = Get-PrinterDriver -Name $drname
  if ($driver -ne $null)
  {
    $port = Get-PrinterPort -Name $pdfpath -ErrorAction SilentlyContinue
    if ($port -eq $null)
    {
      Add-PrinterPort -Name $pdfpath
    }
    Add-Printer -Name $prname -DriverName $drname -PortName $pdfpath
  }
}
else
{
  $oldpath = @($printer).PortName
  if ($oldpath -ne $pdfpath)
  {
    Remove-Printer -InputObject $printer 
    Remove-PrinterPort -InputObject (Get-PrinterPort -Name $oldpath)
    Add-PrinterPort -Name $pdfpath
    Add-Printer -Name $prname -DriverName $drname -PortName $pdfpath
  }
}
